Subject: Re: Segfault compiling cedet/srecode/texi.el during "make bootstrap"

From: Bob Halley <[email-masked]>
Date: Fri, 14 Jun 2013 10:44:54 +0100

On Jun 13, 2013, at 6:42 PM, Paul Eggert <[email-masked]> wrote:

> On 06/13/13 10:36, Bob Halley wrote:
>> I tried that, and unfortunately the problem does not occur when compiled -O0.
> 
> How about configure with --enable-checking -- do you
> still get the same symptoms, or (hope, hope) do you get
> an assertion failure?  Also, for better debugging you might
> try CFLAGS='-g3 -O2 -fno-crossjumping' instead of plain -O2.

I did this, but the problem did not occur.  Getting suspicious, I tried a build on head with exactly the configuration that was failing for me before, and it no longer fails.  But, if I check out the tag after the cedet integration that I mentioned in my bug report, it still does fail.  So, something changed between the time I reported the bug and head that either fixes the problem or obscures it again :)

If you want to declare victory, that's OK with me, but I'm a little curious still so I'll try doing a build with the configuration you suggested against a version that fails. I will report if anything interesting happens.

/Bob